summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-05-09 19:23:23 -0700
committerJunio C Hamano <junkio@cox.net>2006-05-13 14:00:15 -0700
commit618faa1dc7cb5898473861c286391d0a4b043107 (patch)
treeeb997ae55067b2a6a359316e0693055e159796a6
parent66561f5a776f2343331fff5b98adff1000622f42 (diff)
downloadgit-618faa1dc7cb5898473861c286391d0a4b043107.tar.gz
checkout: use --aggressive when running a 3-way merge (-m).
After doing an in-index 3-way merge, we always do the stock "merge-index merge-one-file" without doing anything fancy; use of --aggressive helps performance quite a bit. Signed-off-by: Junio C Hamano <junkio@cox.net>
-rwxr-xr-xgit-checkout.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-checkout.sh b/git-checkout.sh
index 463ed2eaff..a11c939c30 100755
--- a/git-checkout.sh
+++ b/git-checkout.sh
@@ -144,7 +144,7 @@ else
work=`git write-tree` &&
git read-tree --reset $new &&
git checkout-index -f -u -q -a &&
- git read-tree -m -u $old $new $work || exit
+ git read-tree -m -u --aggressive $old $new $work || exit
if result=`git write-tree 2>/dev/null`
then